<%@ Language=VBScript %>
<%
'*************************************************************************
' DO NOT MODIFY THIS SCRIPT IF YOU WANT UPDATES TO WORK!
' Function : Displays a list ofListings that match a given criteria...
'          : - Matches search criteria
'          : - Matches a category
'          : - Matches "specials" on flaggedListings
'          : If a category is supplied which has sub categories, the
'          : script will display a summary of categories instead of the
'          : product list.
' Product  : eDealerDesign Software Front-endend
' Version  : 3.0
' Modified : January 2007
' Copyright: Copyright (C) 2007 eDealerDesign.com 
'            See "license.txt" for this product for details regarding 
'            licensing, usage, disclaimers, distribution and general 
'            copyright requirements. If you don't have a copy of this 
'            file, you may request one at sales@eDealerDesign.com
'*************************************************************************
'Option explicit
Response.Buffer = true
%>
<!--#include file="../Users/D_Language.asp"-->
<!--#include file="../DealerFiles/SiteConfig.asp"-->
<!--#include file="../DealerFiles/DataBconn_.asp"-->
<!--#include file="../DealerFiles/MiscFunctions.asp"-->  
<%
'Work Fields
dim I
dim totalRecs
dim totalPages
dim count
dim curPage
dim catPos
dim catLst
dim listHeading
dim special
dim strSearch, strSearchType, strSearchMax, strSearchMin, strSearchCat
dim sortField
dim queryStr
dim subCount, maxCol, cellWidth
dim searchArr
dim tmpSQL1, tmpSQL2, tmpSQL3, tmpSQL4

'Categories
dim CategoryID
dim categoryDesc
dim ParentCategoryID
dim categoryHTML
dim categoryHTMLLong
dim sortOrder

'Product
dim ListingID
dim VIN
dim Description
dim DescriptionLong
dim Price
dim Details
dim listPrice
dim smallImageURL
dim imageURL
dim fileName

'Database
dim mySQL
dim conntemp
dim rstemp
dim rstemp2

'Session



'*************************************************************************

'Open Database Connection
call openDb()

'Software Configuration
if loadConfig() = false then
	call errorDB(langErrConfig,"")
end if

'Get/Set Session



'---------------------------------
' PARMS - Categories
'---------------------------------
documentid = Request.QueryString("documentid")
if len(documentid) > 0 then

	'Validate that Category is numeric
	if not IsNumeric(documentid) then
		Response.Clear
		response.redirect "sysMsg.asp?errMsg=" & server.URLEncode(langErrInvCategory)
	end if

	'Validate that Category exists in DB
	mySQL = "SELECT documentid, title,strcategory,strparentid " _
		  & "FROM   documents " _
		  & "WHERE  documentid = " & validSQL(documentid,"I")
	set rsTemp = openRSexecute(mySQL)
	if rsTemp.eof then
		'Give error
		Response.Clear
		response.redirect "sysMsg.asp?errMsg=" & server.URLEncode(langErrInvCategory)
	else
		'Get Category HTML (Long)
		title = trim(rsTemp("title"))
	end if
	call closeRS(rsTemp)

end if

'---------------------------------
' PARMS - Validate
'---------------------------------
if  len(documentid) = 0 then
	'If no valid parms were passed, or the script was called without
	'parms, then display the entire category tree.
	mySQL = "SELECT documentid " _
		  & "FROM   documents " _
		  & "WHERE  strparentid = 0"
	set rsTemp = openRSexecute(mySQL)
	if rsTemp.eof then
		Response.Clear
		response.redirect "sysMsg.asp?errMsg=" & server.URLEncode(langErrInvCategory & " / " & langErrInvSearch)
	else
		Documentid = rsTemp("documentid")
	end if
	call closeRS(rsTemp)
end if

%>
<!--#include file="../Users/D_Template.asp"--> 
<%

'Close Database Connection
call closeDb()

'*************************************************************************
'Main Display Area
'*************************************************************************
sub Main()
	
			'Determine category tree position (eg: You are at : cat1 > cat2)
			catPos = getCategoryPos(Documentid,"")
			
			'Display Category Tree position, trim the " <" in catPos
			listHeading = "<b>" & langGenYouAreAt & " : </b>" & mid(catPos,3)
			
						'Expand the Category tree from the supplied category onward
			catLst = expandCategory(Documentid,"")
			
			'Display list ofListings that match category
			if len(trim(catLst)) = 0 then
				queryStr = "documentid=" & Documentid
				call displayCategory()

			'Display Category Tree
			else
				call displayCategory()
			end if
	
end sub

'*************************************************************************
'Determine category position eg: [You are at > cat1 > cat2] (recursive)
'*************************************************************************
function getCategoryPos(Documentid,tempStr)
	dim mySQL, rsTemp
	mySQL = "SELECT documentid,strparentid,strcategory " _
		  & "FROM   documents " _
		  & "WHERE  documentid = " & validSQL(documentid,"I")
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.eof
		tempStr = " > <a href=""../DealerInfo/default.asp?documentid=" & rsTemp("documentid") & """>" & rsTemp("strcategory") & "</a>" & tempStr
		tempStr = getCategoryPos(rsTemp("strparentid"),tempStr)
		rsTemp.movenext
	loop
	call closeRS(rsTemp)
	getCategoryPos = tempStr
end function
'*************************************************************************
'Expand Categories tree from given category (recursive). Will also 
'display the number ofListings in each sub category.
'*************************************************************************
function expandCategory(Documentid,tempStr)

	dim mySQL, rsTemp, catArr, row
	
	'Get Sub-Categories
	mySQL = "SELECT documentid, strcategory,title,datecreated,content " _
		  & "FROM   documents " _
		  & "WHERE  strparentid = " & validSQL(documentid,"I") & " " _
		  & "ORDER BY strcategory "
	set rsTemp = openRSexecute(mySQL)
	if not rsTemp.EOF then
	
		'Use getRows() to reduce DB resource requirements. This is a 
		'little more difficult to work with, but makes the queries 
		'much faster. After populating the array, the values are :

		'- catArr(0,row) = documentid
		'- catArr(1,row) = strcategory
		'- catArr(2,row) = title
		'- catArr(3,row) = datecreated
		'- catArr(4,row) = content

		catArr = rsTemp.getRows()
		
	end if
	call closeRS(rsTemp)
	
	'Show Sub-Categories

	if isArray(catArr) then
tempStr = tempStr & "<ul class=eddManufListDesc>"
		for row = 0 to UBound(catArr,2)
			tempStr = tempStr & "<li style=""MARGIN-BOTTOM:5px"">"
			tempStr = tempStr & "<span class=eddManufList1><a href=""infoview.asp?documentid=" & catArr(0,row) & """>" & catArr(2,row) & "</a> ( " & catArr(3,row) & " )</span>"
			tempStr = tempStr & "</li>" & vbCrLf
			tempStr = expandCategory(catArr(0,row),tempStr)
		next
		tempStr = tempStr & "</ul>"
	end if	
	
	expandCategory = tempStr
end function
'*************************************************************************
'Display Category Tree
'*************************************************************************
sub displayCategory()
%>
	<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr><td valign=middle class="eddPageHead">
			<%=listHeading%><br>
		</td></tr>
	</table><br>
	<% 
	mySQL = "SELECT documentid, strcategory,title,datecreated,content,strparentid " _
		  & "FROM   documents " _
		  & "where	documentid = " & validSQL(documentid,"I")
	set rsTemp = openRSexecute(mySQL)
	if not rsTemp.EOF then
	maincategoryid = rsTemp("strparentid")
	end if
	closeRs(rsTemp)
	
		mySQL = "SELECT documentid, strcategory,title,datecreated,content " _
		  & "FROM   documents " _
		  & "WHERE  strparentid = " & maincategoryid
	set rsTemp2 = openRSexecute(mySQL)
	if not rsTemp2.EOF then
	rtitle = rsTemp2("title")
	rdocumentid = rsTemp2("documentid")
	%>
<div align="left">
	<table style="border-collapse: collapse" bordercolor="#111111" cellpadding="0" cellspacing="0"><tr><td><b>
	<a href="infoview.asp?documentid=<%=rdocumentid%>"><%=rtitle%></a> (  <% response.write rsTemp2("datecreated")%> )</b></td></tr></table>
	</div>
	<% end if
	closeRS(rstemp2)
	%>
	<img src="../Users/misc_cleardot.gif" height=3 width=1>

	<table width="100%" border="0" cellspacing="4" cellpadding="4">
		<tr><td valign=top>
			<%=catLst%>
		</td></tr>
	</table>
<%
end sub
%>