<%
'*************************************************************************
' Function : HTML/ASP code functions and subroutines which can be 
'          : used to customize the look of the Software's header.
' Product  : eDealerDesign Software Front-endend
' Version  : 3.0
' Modified : January 2007
' Copyright: Copyright (C) 2007 eDealerDesign.com 
'            See "license.txt" for this product for details regarding 
'            licensing, usage, disclaimers, distribution and general 
'            copyright requirements. If you don't have a copy of this 
'            file, you may request one at sales@eDealerDesign.com
'*************************************************************************

'*************************************************************************
'Display Featured Manufacturers
'*************************************************************************
function FeaturedCategory()

'Declare some variables
dim mySQL
dim rsTemp
dim tempStr
dim howMany
	
	'Read Database
	mySQL = "SELECT CategoryID,categoryDesc " _
		  & "FROM   categories " _
		  & "WHERE  categoryFeatured='Y' " _
		  & "ORDER BY categoryDesc "
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.EOF

		howMany = countCatProd(rsTemp("CategoryID"))

		'Build display string
		if howMany > 0 then
			tempStr = tempStr _
				& "<a href=""" & urlNonSSL _
				& "DealerList.asp?CategoryID=" & rsTemp("CategoryID") & """>" _
				& rstemp("categoryDesc")  _
				& "<br></a>"
		end if

		'Next Record
		rsTemp.MoveNext

	loop
	call closeRS(rsTemp)

	'Return	
	FeaturedCategory = tempStr
 
end function
	'*************************************************************************
	'Count the Listings in a category
	'*************************************************************************
	function countCatProd(checkCat)

			dim mySQL, rsTemp2, howMany, catArr, row

			howMany = 0

			'Get the number of Listings in the category itself
			mySQL = "SELECT COUNT(*) AS howMany FROM Manuf_Categories a,Listings b " _
				  & "WHERE a.CategoryID = " & checkCat & " AND " _
				  & "a.ListingID = b.ListingID AND b.active = -1 "
			set rsTemp2 = openRSexecute(mySQL)

			howMany = rsTemp2("howMany")

			call closeRS(rsTemp2)

			'See if the category is a parent
			mySQL = "SELECT CategoryID FROM categories WHERE " _
				  & "ParentCategoryID = " & checkCat
			set rsTemp2 = openRSexecute(mySQL)

			if not rsTemp2.EOF then
				catArr = rsTemp2.getRows()
			end if

			call closeRS(rsTemp2)

			if isArray(catArr) then
				for row = 0 to UBound(catArr,2)
					howMany = howMany + countCatProd(catArr(0,row))
				next
			end if

			countCatProd = howMany

	end function
'*************************************************************************
'Display New Listings
'*************************************************************************
function showNew(dispNum)

	'Declare some variables
	dim mySQL, rsTemp, tempStr, count
	
	'Read Database
	mySQL="SELECT TOP " & dispNum & " ListingID, description, caryear, make, model " _
	    & "FROM   Listings " _
	    & "WHERE  active = -1 " _
	    & "ORDER BY ListingID DESC "
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.EOF
	
		'Increment counter
		count = count + 1
		
		'Build display string
		tempStr = tempStr _
			& count & ". <a href=""" & urlNonSSL _
			& "ListingView.asp?ListingID=" & rsTemp("ListingID") & """>" _
			& rstemp("caryear") & "&nbsp;" & rstemp("make") & "&nbsp;" & rstemp("model") _
			& "</a><img width=30 src='../Users/misc_ClearDot.gif' height='1'>"
			
		'Next Record
		rsTemp.MoveNext
	
	loop
	call closeRS(rsTemp)

	'Return
	if isEmpty(tempStr) or isNull(tempStr) or len(trim(tempStr)) = 0 then
		showNew = langGenNotApplicable
	else
		showNew = tempStr
	end if
 
end function

%>

<%
'Added for mini cms
'*************************************************************************
'Display top Menu where rtop is check as yes
'*************************************************************************
function showtopmenu()

	'Declare some variables
	dim mySQL, rsTemp, tempStr
	
	'Read Database
	mySQL = "SELECT documentid,title,strparentid,strcategory " _
		  & "FROM   documents " _
		  & "WHERE  strtop='Y' " _
		  & "And categoryfeatured='Y' " _
		  & "order by sortorder "
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.EOF
	
		'Build display string
		tempStr = tempStr _
			& " | <a href='" & infononssl _
			& "infoview.asp?documentid=" & rsTemp("documentid") & "'>" _
			& rsTemp("strcategory") _
			& "</a>"
			
		'Next Record
		rsTemp.MoveNext
	
	loop
	call closeRS(rsTemp)

	'Return	
	showtopmenu = tempStr
 
end function
'*************************************************************************
'Display Left Menu where rleft is check as yes
'*************************************************************************
function showleftmenu()

	'Declare some variables
	dim mySQL, rsTemp, tempStr
	
	'Read Database
	mySQL = "SELECT documentid,title,strparentid,strcategory " _
		  & "FROM   documents " _
		  & "WHERE  strleft='Y' " _
		  & "And categoryfeatured='Y' " _		  
		  & "Order by sortorder "
 
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.EOF
	
		'Build display string
		tempStr = tempStr _
			& "<a href='" & infononssl _
			& "infoview.asp?documentid=" & rsTemp("documentid") & "'>" _
			& rsTemp("strcategory") _
			& "</a><br> "
			
		'Next Record
		rsTemp.MoveNext
	
	loop
	call closeRS(rsTemp)

	'Return	
	showleftmenu = tempStr
 
end function

'*************************************************************************
'Display Right Menu where rright is check as yes
'*************************************************************************
function showRightmenu()

	'Declare some variables
	dim mySQL, rsTemp, tempStr
	
	'Read Database
	mySQL = "SELECT documentid,title,strparentid,strcategory " _
		  & "FROM   documents " _
		  & "WHERE  strright='Y' " _
		  & "And categoryfeatured='Y' " _		  
		  & "order by sortorder "
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.EOF
	
		'Build display string
		tempStr = tempStr _
			& "<a href='" & infononssl _
			& "infoview.asp?documentid=" & rsTemp("documentid") & "'>" _
			& rsTemp("strcategory") _
			& "</a><br>"
			
		'Next Record
		rsTemp.MoveNext
	
	loop
	call closeRS(rsTemp)

	'Return	
	showRightmenu = tempStr 
 
end function
'*************************************************************************
'Display footer Menu where rfooter is check as yes
'*************************************************************************
function showfootermenu()

	'Declare some variables
	dim mySQL, rsTemp, tempStr
	
	'Read Database
	mySQL = "SELECT documentid,title,strparentid,strcategory " _
		  & "FROM   documents " _
		  & "WHERE  strtop='Y' " _
		  & "And categoryfeatured='Y' " _
		  & "order by sortorder "
	set rsTemp = openRSexecute(mySQL)
	do while not rsTemp.EOF
	
		'Build display string
		tempStr = tempStr _
			& " | <a href='" & infononssl _
			& "infoview.asp?documentid=" & rsTemp("documentid") & "'>" _
			& rsTemp("strcategory") _
			& "</a>"
			
		'Next Record
		rsTemp.MoveNext
	
	loop
	call closeRS(rsTemp)

	'Return	
	showfootermenu = tempStr
 
end function
'*************************************************************************
'Display Related Topics
'*************************************************************************
function showtreemenu()
'to determine what id the root documentid's strparentid
mySQL = "SELECT documentid,strparentid " _
		  & "FROM   documents " _
		  & "WHERE  strparentid=0 "
	set rsTemp = openRSexecute(mySQL)
	if not rstemp.EOF then
    dim menurootdocumentid
    menurootdocumentid = rsTemp("documentid")
	end if
closeRS(rstemp)	

'to request the current documentid record, if the documentid record is null, then set documentid to root
dim menunowdocumentid
menunowdocumentid = request.querystring("documentid")
if isnull(request.querystring("documentid")) or request.querystring("documentid")=0 then
menunowdocumentid = menurootdocumentid
end if
   

	'Declare some variables
	dim mySQL, rsTemp, tempStr
	

	'Read Database
	mySQL = "SELECT documentid,title,strparentid,strcategory " _
		  & "FROM   documents " _
		  & "WHERE  strparentid=" & menunowdocumentid _
		  & "and not strparentid = 0 " _
		  & "and categoryfeatured = 'Y' "
	set rsTemp = openRSexecute(mySQL)
  	do while not rstemp.EOF

		'Build display string
		tempStr = tempStr _
			& "<a href='" & infononssl _
			& "infoview.asp?documentid=" & rsTemp("documentid") & "'>" _
			& rsTemp("strcategory") _
			& "</a><br> "

		'Next Record
		rsTemp.MoveNext
	
	loop
	call closeRS(rsTemp)
	'Return	
	showtreemenu = tempStr
 
end function

'*************************************************************************
'Display where the top level document related to current document is in the menu
'*************************************************************************
function showtreemenu2()
'to determine what id the root documentid's strparentid
mySQL = "SELECT documentid,strparentid " _
		  & "FROM   documents " _
		  & "WHERE  strparentid=0 " 
	set rsTemp = openRSexecute(mySQL)
	if not rstemp.EOF then
    dim menurootdocumentid2
    menurootdocumentid2 = rsTemp("documentid")
	end if
closeRS(rstemp)	

'to request the current documentid record, if the documentid record is null, then set documentid to root
dim menunowdocumentid2
menunowdocumentid2 = request.querystring("documentid")
if isnull(request.querystring("documentid")) or request.querystring("documentid")=0 then
menunowdocumentid2 = menurootdocumentid2
end if
   

	'Declare some variables
	dim mySQL, rsTemp, tempStr
	

	'Read Database
	mySQL = "SELECT documentid,title,strparentid,strcategory " _
		  & "FROM   documents " _
		  & "WHERE  documentid=" & menunowdocumentid2 _
		  & "and not strparentid = 0 "
	set rsTemp = openRSexecute(mySQL)
  	if not rstemp.EOF then

		'Build display string
		tempStr = tempStr _
			& "<b><a href='" & infononssl _
			& "infoview.asp?documentid=" & rsTemp("documentid") & "'><font color=blue>" _
			& rsTemp("strcategory") _
			& "</font></a></b><br>"

	end if
	call closeRS(rsTemp)
	'Return	
	showtreemenu2 = tempStr
 
end function
'*************************************************************************
'Display where the document's top level is
'*************************************************************************
function showtreemenu3()
'to determine what id the root documentid's strparentid
mySQL = "SELECT documentid,strparentid " _
		  & "FROM   documents " _
		  & "WHERE  strparentid=0 " 
	set rsTemp = openRSexecute(mySQL)
	if not rstemp.EOF then
    dim menurootdocumentid3
    menurootdocumentid3 = rsTemp("documentid")
	end if
closeRS(rstemp)	

'to request the current documentid record, if the documentid record is null, then set documentid to root
dim menunowdocumentid3
menunowdocumentid3 = request.querystring("documentid")
if isnull(request.querystring("documentid")) or request.querystring("documentid")=0 then
menunowdocumentid3 = menurootdocumentid3
end if
   

	'Declare some variables
	dim mySQL, rsTemp, tempStr
	

	'Read Database
	mySQL = "SELECT documentid,title,strparentid,strcategory " _
		  & "FROM   documents " _
		  & "WHERE  documentid=" & menunowdocumentid3
	set rsTemp = openRSexecute(mySQL)
  	if not rstemp.EOF then
    dim mainleveldocumentid 
    mainleveldocumentid = rsTemp("strparentid")
	end if
	call closeRS(rsTemp)
	
		'Read Database
	mySQL = "SELECT documentid,title,strparentid,strcategory " _
		  & "FROM   documents " _
		  & "WHERE  documentid=" & mainleveldocumentid _
		  & "and not strparentid = 0 "
	set rsTemp = openRSexecute(mySQL)
  	if not rstemp.EOF then

		'Build display string
		tempStr = tempStr _
			& "<a href='" & infononssl _
			& "infoview.asp?documentid=" & rsTemp("documentid") & "'>" _
			& rsTemp("strcategory") _
			& "</a><br>"

	end if
	call closeRS(rsTemp)
	'Return	
	showtreemenu3 = tempStr
 
end function
%>